org.optaplanner.core.impl.localsearch.decider.forager

## Class AbstractLocalSearchForager

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
    - - org.optaplanner.core.impl.localsearch.decider.forager.AbstractLocalSearchForager

- All Implemented Interfaces:
    EventListener, LocalSearchForager, LocalSearchPhaseLifecycleListener, SolverLifecycleListener
  Direct Known Subclasses:
    AcceptedLocalSearchForager

      public abstract class AbstractLocalSearchForager
      extends LocalSearchPhaseLifecycleListenerAdapter
      implements LocalSearchForager

  Abstract superclass for `LocalSearchForager`.
  See Also:
    `LocalSearchForager`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLocalSearchForager()`

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.decider.forager.LocalSearchForager

      `addMove, isQuitEarly, pickMove, supportsNeverEndingMoveSelector`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

  - ### Constructor Detail

    - #### AbstractLocalSearchForager

          public AbstractLocalSearchForager()

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.